be.fgov.ehealth.consultrn._1_0.core

## Class PersonType

- java.lang.Object
- - be.fgov.ehealth.consultrn._1_0.core.PersonType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:07:12+02:00",
                 comments="JAXB RI v2.2.11")
      public class PersonType
      extends Object
      implements Serializable

  information about the person (with SSIN)

  Java class for PersonType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PersonType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="SSIN" type="{urn:be:fgov:ehealth:consultRN:1_0:core}EncodedSSINType"/>
               <element name="PersonData" type="{urn:be:fgov:ehealth:consultRN:1_0:core}PersonDataType"/>
             </sequence>
             <attribute name="ModificationDate" type="{urn:be:fgov:ehealth:consultRN:1_0:core}IncompleteDateType" />
             <attribute name="Origin" type="{urn:be:fgov:ehealth:consultRN:1_0:core}OriginType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getModificationDate()` Gets the value of the modificationDate property.
    `OriginType` | `getOrigin()` Gets the value of the origin property.
    `PersonDataType` | `getPersonData()` Gets the value of the personData property.
    `EncodedSSINType` | `getSSIN()` Gets the value of the ssin property.
    `void` | `setModificationDate(String value)` Sets the value of the modificationDate property.
    `void` | `setOrigin(OriginType value)` Sets the value of the origin property.
    `void` | `setPersonData(PersonDataType value)` Sets the value of the personData property.
    `void` | `setSSIN(EncodedSSINType value)` Sets the value of the ssin property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonType

          public PersonType()

  - ### Method Detail

    - #### getSSIN

          public EncodedSSINType getSSIN()

      Gets the value of the ssin property.
      Returns:
        possible object is `EncodedSSINType`

    - #### setSSIN

          public void setSSIN(EncodedSSINType value)

      Sets the value of the ssin property.
      Parameters:
        `value` - allowed object is `EncodedSSINType`

    - #### getPersonData

          public PersonDataType getPersonData()

      Gets the value of the personData property.
      Returns:
        possible object is `PersonDataType`

    - #### setPersonData

          public void setPersonData(PersonDataType value)

      Sets the value of the personData property.
      Parameters:
        `value` - allowed object is `PersonDataType`

    - #### getModificationDate

          public String getModificationDate()

      Gets the value of the modificationDate property.
      Returns:
        possible object is `String`

    - #### setModificationDate

          public void setModificationDate(String value)

      Sets the value of the modificationDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOrigin

          public OriginType getOrigin()

      Gets the value of the origin property.
      Returns:
        possible object is `OriginType`

    - #### setOrigin

          public void setOrigin(OriginType value)

      Sets the value of the origin property.
      Parameters:
        `value` - allowed object is `OriginType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.